/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef GOTOLINETOOLBAR_H
#define GOTOLINETOOLBAR_H

#include <gtkmm/label.h>
#include <gtkmm/box.h>
#include <gtkmm/button.h>
#include <gtkmm/image.h>
#include <gtkmm/spinbutton.h>
#include <gtkmm/adjustment.h>

class GotoLineToolbar : public Gtk::HBox
{
public:
  GotoLineToolbar();

  Gtk::Button* get_close();
  Gtk::Button* get_goto();
  
  int get_goto_value();
  void show_error(bool);

private:
  Gtk::Label *label_goto_line, *label_error;
  Gtk::Button *button_goto_line, *button_close;
  Gtk::Image *image_error, *image_close;
  Gtk::SpinButton *goto_line;
};

#endif
